using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.Collections.Specialized;
using Telerik.QuickStart;

namespace Telerik.Web.Examples.Grid.Integration.GridEditors
{
	/// <summary>
	/// Summary description for DefaultCS.
	/// </summary>
	public partial class DefaultCS : XhtmlPage
	{
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                RadGrid1.EditIndexes.Add(0);
            }
        }
        protected void RadGrid1_ItemCreated(object sender, GridItemEventArgs e)
        {
            if (e.Item is GridEditFormItem && e.Item.IsInEditMode)
            {
                GridEditFormItem item = (GridEditFormItem)e.Item;
                RadEditor editor = (RadEditor)item["Notes"].Controls[0];
                (e.Item.FindControl("UpdateButton") as ImageButton).Attributes.Add("onclick", "saveEditorContent('" + editor.ClientID + "');");
            }
        }
}
}
